function calculateIncome() {
  const mainRent = parseFloat(document.getElementById('mainRent').value) || 0;
  const basementRent = parseFloat(document.getElementById('basementRent').value) || 0;
  const expenses = parseFloat(document.getElementById('expenses').value) || 0;
  
  const totalIncome = mainRent + basementRent - expenses;
  
  const resultAmount = document.querySelector('.result-amount');
  const resultBreakdown = document.querySelector('.result-breakdown');
  
  resultAmount.textContent = `$${totalIncome.toFixed(2)}`;
  resultBreakdown.innerHTML = `
    <p>Main Floor Rent: $${mainRent.toFixed(2)}</p>
    <p>Basement Rent: $${basementRent.toFixed(2)}</p>
    <p>Expenses: -$${expenses.toFixed(2)}</p>
  `;
  
  // Animate the result
  resultAmount.style.animation = 'none';
  resultAmount.offsetHeight; // Trigger reflow
  resultAmount.style.animation = 'fadeIn 0.5s ease-in-out';
}

document.getElementById('contactForm').addEventListener('submit', function(e) {
  e.preventDefault();
  alert('Thank you for your message! We will get back to you soon.');
  this.reset();
});

// Add smooth scrolling for navigation links
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});

// Add scroll animation for strategy cards
const observerOptions = {
  threshold: 0.1,
  rootMargin: '0px 0px -50px 0px'
};

const observer = new IntersectionObserver((entries) => {
  entries.forEach(entry => {
    if (entry.isIntersecting) {
      entry.target.style.opacity = '1';
      entry.target.style.transform = 'translateY(0)';
    }
  });
}, observerOptions);

document.querySelectorAll('.strategy-card').forEach(card => {
  card.style.opacity = '0';
  card.style.transform = 'translateY(20px)';
  card.style.transition = 'opacity 0.5s ease-in-out, transform 0.5s ease-in-out';
  observer.observe(card);
});
